{ oeffisearchSrc ? { outPath = ./.; revCount = 1234; shortRev = "abcdef"; }
, nixpkgs ? builtins.fetchTarball https://github.com/NixOS/nixpkgs-channels/archive/nixos-19.09.tar.gz
, officialRelease ? false
}:

let
  pkgs = import nixpkgs { system = builtins.currentSystem or "x86_64-linux"; };

  jobs = rec {
    build.x86_64-linux = pkgs.releaseTools.nixBuild (
      (import ./default.nix { inherit pkgs; })
        .drvAttrs // {
          postHook = ''
            src=$origSrc
          '';
        }
    );
  };

in jobs
